/* Simple serial port interface */
#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>
#include <string.h>

#ifndef PTZCLIENT_H
#define PTZCLIENT_H

int readyPTZ();
int donePTZ();
void homePTZ();
void setZoom(int zoom);
int getZoom(void);

long getHFOV(void);
  long getVFOV(void);
long lookupHFOV(int);
long lookupVFOV(int);

void setPanTilt(short pan, short tilt);

void getPTZ (int pt[3]);
void initPTZ();

int startPTZ();

int handlePanTilt(void *robot, void *operator, const long rows, const long cols, short reset);
int handleTilt(void *robot, void *operator, const long rows, const long cols, short reset);

void setPTZPosition(short position[]);
#endif
