
#include <sys/ioctl.h>
#include <sys/types.h>
#include <math.h>

#include <unistd.h>
#include <stdlib.h> 
#include <stdio.h> 
#include <string.h>
#include <termios.h>
#include <sys/time.h>
#include <sys/file.h>
#include <sys/stat.h>
#include <signal.h>
#include <ctype.h>
#include <sys/timeb.h>
#include <pthread.h>
#include "serial.h"

unsigned char cmdbuf[32];
unsigned char analog[6];
int fd;


/***********************
    Utility functions 
 ***********************/

int readyHB() {
  if (cmdbuf[0]==0) return 1;
  else return 0;
}

int findCmdLength(){
  int i;
  i = 0;
  while (cmdbuf[i]!=0xFF) i++;
  return i+1;
}
/***********************/

void setCmd(char cmd){
  cmdbuf[0] = cmd;
}

void *watchHB (void *arg)
{
  // unsigned char msgbuf[128];
 
  // int ii = 0;
  while (1) {
    if (cmdbuf[0] != 0){
      fprintf(stderr,"Sending %c.\n",cmdbuf[0]);
      write(fd,cmdbuf,1);
      cmdbuf[0]=0;
    }
    usleep(100000);
    /*
    for (ii=0;ii<128;ii++) msgbuf[ii] = 0; 
    read(fd,msgbuf,255);
    if (msgbuf[0] != 0){
      for (ii=0; msgbuf[ii+2]!=0; ii++) {
	if ((msgbuf[ii] - 49 < 10) && (msgbuf[ii] - 49 > -1)) {
	  analog[(int) msgbuf[ii] - 49] = msgbuf[ii+1];
	}
      }
    }
    for (ii=0;ii<6;ii++)
      fprintf(stderr," %i %02X",ii,analog[ii]);
    fprintf(stderr,"\n");
    */
  }
}

int startHB()
{
  pthread_t *watcher;

  cmdbuf[0] = 0;
  
  fd = openSerialPort("/dev/ttyS2", 9600);
  
  watcher = malloc(sizeof(pthread_t)); 
  pthread_create(watcher,NULL,&watchHB,NULL);
  
  while (!readyHB());
    
  return 0;
}













